package request

// AddTagReq 添加标签请求
type AddTagReq struct {
	TagName string `description:"标签名称"`
}

// EditTagReq 编辑标签请求
type EditTagReq struct {
	ChartTagId int    `description:"标签id"`
	TagName    string `description:"标签名称"`
}

// DelTagReq 删除标签请求
type DelTagReq struct {
	ChartTagId int `description:"标签id"`
}

// SaveTagVarietyEdbReq
// @Description: 配置标签中的指标与品种的映射关系
type SaveTagVarietyEdbReq struct {
	ChartTagId int             `description:"标签id"`
	VarietyEdb []VarietyEdbReq `description:"品种和指标的映射关系"`
}

// VarietyEdbReq
// @Description: 品种和指标的映射关系
type VarietyEdbReq struct {
	ChartVarietyId int `description:"品种id"`
	EdbInfoId      int `description:"指标id"`
}
