package response

import (
	"eta/eta_mobile/models/data_manage"
	"eta/eta_mobile/models/data_manage/cross_variety"
)

// ChartPreviewResp
// @Description: 图表预览返回
type ChartPreviewResp struct {
	EdbInfoList []*data_manage.ChartEdbInfoMapping
	DataResp    interface{} `description:"图表数据,根据图的类型而定的,没有确定的数据格式"`
}

// ChartRelationResp
// @Description: 图表关联配置返回
type ChartRelationResp struct {
	ChartInfo   *data_manage.ChartInfoView
	TagList     []*cross_variety.ChartTag
	VarietyList []*cross_variety.ChartVariety
}
